This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76058 - gcc not compiling binutils
gcc not compiling binutils
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 07:30 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-16 11:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-16 07:30:14 EDT
Description of Problem:


Version-Release number of selected component (if 
applicable):

[root@oehmeslxdsk cdk]# cat /etc/redhat-release
Red Hat Linux release 8.0 
(Psyche)
[root@oehmeslxdsk cdk]# gcc --version
gcc (GCC) 3.2 20020903 (Red Hat Linux 8.0 3.2-
7)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source 
for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A 
PARTICULAR PURPOSE.

How Reproducible:

compilung binutils binutils-
2.13.90.0.4

Steps to Reproduce:
1. configure
2. make 
3. 

Actual Results:

gcc -
DHAVE_CONFIG_H -I. -I../../binutils-2.13.90.0.4/gas -I. -D_GNU_SOURCE -I. -I../../binutils-
2.13.90.0.4/gas -I../bfd -I../../binutils-2.13.90.0.4/gas/config -I../../binutils-
2.13.90.0.4/gas/../include -I../../binutils-2.13.90.0.4/gas/.. -I../../binutils-
2.13.90.0.4/gas/../bfd -I../../binutils-2.13.90.0.4/gas/../intl -I../intl -
DLOCALEDIR="\"/dbox2/cdk/share/locale\""   -W -Wall -Wstrict-prototypes -Wmissing-prototypes -g -
O2 -c ../../binutils-2.13.90.0.4/gas/write.c
gcc -DHAVE_CONFIG_H -I. -I../../binutils-
2.13.90.0.4/gas -I. -D_GNU_SOURCE -I. -I../../binutils-2.13.90.0.4/gas -I../bfd -
I../../binutils-2.13.90.0.4/gas/config -I../../binutils-2.13.90.0.4/gas/../include -
I../../binutils-2.13.90.0.4/gas/.. -I../../binutils-2.13.90.0.4/gas/../bfd -
I../../binutils-2.13.90.0.4/gas/../intl -I../intl -
DLOCALEDIR="\"/dbox2/cdk/share/locale\""   -W -Wall -Wstrict-prototypes -Wmissing-prototypes -g -
O2 -c ../../binutils-2.13.90.0.4/gas/config/tc-ppc.c
../../binutils-
2.13.90.0.4/gas/config/tc-ppc.c: In function `md_assemble':
../../binutils-
2.13.90.0.4/gas/config/tc-ppc.c:2172: warning: right shift count >= width of 
type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:2174: warning: right shift count >= 
width of type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:2179: warning: right shift 
count >= width of type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:2181: warning: 
right shift count >= width of type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:2186: 
warning: right shift count >= width of type
../../binutils-2.13.90.0.4/gas/config/tc-
ppc.c:2188: warning: right shift count >= width of type
../../binutils-
2.13.90.0.4/gas/config/tc-ppc.c:2193: warning: right shift count >= width of 
type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:2195: warning: right shift count >= 
width of type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c: In function 
`md_apply_fix3':
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:5388: warning: right 
shift count >= width of type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:5395: 
warning: right shift count >= width of type
../../binutils-2.13.90.0.4/gas/config/tc-
ppc.c:5402: warning: right shift count >= width of type
../../binutils-
2.13.90.0.4/gas/config/tc-ppc.c:5409: warning: right shift count >= width of 
type
../../binutils-2.13.90.0.4/gas/config/tc-ppc.c:5537: Internal compiler error in 
simplify_subreg, at simplify-rtx.c:2452
Please submit a full bug report,
with 
preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for 
instructions.
make[7]: *** [tc-ppc.o] Error 1

Expected Results:

should work 
..

Additional Information:
Comment 1 Jakub Jelinek 2002-10-16 11:02:37 EDT
Please provide tc-ppc.i (see -save-temps gcc option).
i386 -> ppc binutils cross compiles just fine for me with gcc-3.2-9.
Comment 2 Jakub Jelinek 2002-11-27 12:20:41 EST
Should be fixed in gcc-3.2.1-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.